Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface ConfigureSituation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable, SituationType

All Known Implementing Classes:
  ConfigureSituationImpl

public interface ConfigureSituation
extends SituationType

A representation of the model object 'Configure Situation'.

The ConfigureSituation deals with the components identifying their configuration. Any changes that a component makes to its configuration should be logged using this category. Additionally, messages that describe current configuration state fall into this category. Existing message include words like port number is, address is, and process id, for example: `ADFS0134I: File transfer is configured with host="9.27.11.13", port="9090", securityEnabled="false".`

Since:
  1.0.1

  The following features are supported:

  - `Success Disposition`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getConfigureSituation()`

Method Summary
`java.lang.String` | `getSuccessDisposition()` Returns the value of the 'Success Disposition' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g. null) state.
`void` | `setSuccessDisposition(java.lang.String value)` Sets the value of the '`Success Disposition`' attribute.

Methods inherited from interface org.eclipse.hyades.logging.events.cbe.SituationType
`getReasoningScope, setReasoningScope, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSuccessDisposition

    public java.lang.String getSuccessDisposition()

  Returns the value of the 'Success Disposition' attribute.

  Returns:
    the value of the 'Success Disposition' attribute.
  See Also:
    `setSuccessDisposition(String)`, `EventPackage.getConfigureSituation_SuccessDisposition()`

### setSuccessDisposition

    public void setSuccessDisposition(java.lang.String value)

  Sets the value of the '`Success Disposition`' attribute.

  This property specifies whether or not the operation that caused the situation to be reported was successful. The successDisposition is a string with the following set of values:

  - SUCCESSFUL
  - UNSUCCESSFUL

  This is a required property and once it is set it must not change. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Success Disposition' attribute.
  See Also:
    `getSuccessDisposition()`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `SituationType`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD